## wxZipInputStream

This class is input stream from ZIP archive. The archive must be local file (accessible via FILE*). It has all features including GetSize and seeking.

Note

If you need to enumerate files in ZIP archive, you can use wxFileSystem together with wxZipFSHandler (see the overview.

Derived from

wxInputStream

Include files

<wx/zipstrm.h>

Members

wxZipInputStream::wxZipInputStream

### wxZipInputStream::wxZipInputStream

wxZipInputStream(const wxString& archive, const wxString& file)

Constructor.

Parameters

archive

name of ZIP file

file

name of file stored in the archive